html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    border-radius: 0;
    background-color: #F5EFD3 !important;
    height: 100vh;
}

.dxbl-toast-portal {
    width: fit-content !important;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

    .btn-primary:active {
        background-color: #89372E;
    }

.form-control {
    margin-top: 0.25rem;
}

    .form-control:focus, .btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-check-input:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #89372E;
    }

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.dxmenu .dxbl-btn {
    padding: 17px 6px 16px 4px;
}

.dxbl-menu-bar {
    background-color: #8B3B32;
    color: white;
    padding: 0 1rem;
}

.centeralign {
    text-align: center;
    width: 100%;
    font-weight: 800;
}

.dxbl-grid {
    --dxbl-grid-font-size: 12px;
}

.dxbl-text-edit-template {
    white-space: nowrap;
}

.dxbl-pager-container > .dxbl-pager-page-size-selector > .dxbl-text-edit {
    width: 5.8em;
}

.editIcon {
    width: 16px;
    height: 16px;
    -webkit-mask-image: url("images/edit.png");
    mask-image: url("images/edit.png");
    background-color: currentColor;
}

.plusIcon {
    width: 16px;
    height: 16px;
    -webkit-mask-image: url("images/plus.png");
    mask-image: url("images/plus.png");
    background-color: currentColor;
}

.deleteIcon {
    width: 18px;
    height: 18px;
    -webkit-mask-image: url("images/delete.png");
    mask-image: url("images/delete.png");
    background-color: currentColor;
    padding: 12px 11px 12px 11px;
    margin: 0px;
}


/*Διαγραφή IOD pop up (RemoveIOD)*/
.removeIOD-popup-body-style {
    display: grid;
    grid-template-columns: 100px 100px;
    grid-template-rows: 25px 25px;
    /*justify-content: center;*/
    align-self: center;
}

.item-a {
    grid-row: 1;
    grid-column: 1;
}

.item-b {
    grid-row: 1;
    grid-column: 2;
}

.item-c {
    grid-row: 2;
    grid-column: 1;
}

.item-d {
    grid-row: 2;
    grid-column: 2;
}

/*viewIOD elements*/
.viewIOD-body-style {
    display: grid;
    grid-template-columns: 140px 180px 140px 180px 105px 180px 160px 120px;
    grid-template-rows: 30px 30px;
    justify-content: left;
    align-items: center;
    justify-items: start;
    grid-row-gap: 10px;
}
.viewIOD-item-a {
    grid-row: 1;
    grid-column: 1;
    text-align: center;
}
.viewIOD-item-b {
    grid-row: 1;
    grid-column: 2;
}
.viewIOD-item-c {
    grid-row: 1;
    grid-column: 3;
}
.viewIOD-item-d {
    grid-row: 1;
    grid-column: 4;
}
.viewIOD-item-e {
    grid-row: 1;
    grid-column: 5;
}
.viewIOD-item-f {
    grid-row: 1;
    grid-column: 6;
}
.viewIOD-item-g {
    grid-row: 1;
    grid-column: 7;
}
.viewIOD-item-h {
    grid-row: 2;
    grid-column: 1;
}
.viewIOD-item-i {
    grid-row: 2;
    grid-column: 2;
}
.viewIOD-item-j {
    grid-row: 2;
    grid-column: 3;
}
.viewIOD-item-k {
    grid-row: 2;
    grid-column: 4;
}
.viewIOD-item-l {
    grid-row: 2;
    grid-column: 5;
}
.viewIOD-item-m {
    grid-row: 2;
    grid-column: 6;
}
.viewIOD-item-n {
    grid-row: 2;
    grid-column: 7;
    display: grid;
    align-content: center;
    align-items: center;
}
.viewIOD-item-o {
    grid-row: 2;
    grid-column: 8;
}

/*Ενημέρωση Ημερομηνίας IOD pop up (GenericIOD)*/
.genericIOD-popup-body-style {
    display: grid;
    grid-template-columns: 90px 170px;
    grid-template-rows: 15px 25px 25px;
    /*justify-content: center;*/
    grid-row-gap: 13px;
    align-items: center;
    justify-items: end;
    align-self: center;
}

.item-d2 {
    grid-row: 2;
    grid-column: 2;
    margin-left: 5px;
    width: 150px;
    justify-self: start;
}

.item-e {
    grid-row: 3;
    grid-column: 1;
}

.item-f {
    grid-row: 3;
    grid-column: 2;
    margin-left: 5px;
    width: 150px;
    justify-self: start;
}

/*Ενημέρωση Προβληματικών Παραδόσεων pop up (ReasonCodes)*/
.reasonCodes-popup-body-style {
    display: grid;
    grid-template-columns: 150px 350px;
    grid-template-rows: 15px 25px 25px 25px;
    grid-row-gap: 13px;
    justify-content: start;
    align-items: center;
    justify-items: end;
}

.item-b2 {
    grid-row: 1;
    grid-column: 2;
    justify-self:start;
    margin-left: 5px;
}

.item-g {
    grid-row: 4;
    grid-column: 1;
}

.item-h {
    grid-row: 4;
    grid-column: 2;
    justify-self: start;
    width: 320px;
}

.genericIOD-body-style {
    display: grid;
    grid-template-columns: 130px 180px 140px 180px 160px 100px 160px;
    grid-template-rows: 30px 30px 30px;
    justify-content: left;
    align-items: center;
    justify-items: start;
    grid-row-gap: 10px;
}

.genericIOD-item-c {
    grid-row: 1;
    grid-column: 3;
    justify-self: start;
}

.genericIOD-item-j {
    grid-row: 2;
    grid-column: 3;
    display: grid;
    align-content: center;
    align-items: center;
}

.genericIOD-item-k {
    grid-row: 3;
    grid-column: 1;
}

.genericIOD-item-l {
    grid-row: 3;
    grid-column: 2;
}

.genericIOD-item-m {
    grid-row: 3;
    grid-column: 3;
    justify-self: start;
}

.genericIOD-item-n {
    grid-row: 3;
    grid-column: 4;
}

.genericIOD-item-o {
    grid-row: 3;
    grid-column: 5;
    display: grid;
    align-content: center;
    align-items: center;
}

.genericIOD-item-p {
    grid-row: 3;
    grid-column: 7;
    margin-left: 30px;
}

/*viewCollections elements*/
.viewCollections-body-style {
    display: grid;
    grid-template-columns: 130px 180px 140px 180px 200px 180px;
    grid-template-rows: 30px 30px;
    justify-content: left;
    align-items: center;
    justify-items: start;
    grid-row-gap: 10px;
}

/*Home Deliveries - Καταγραφή Ραντεβού απο Παραγγελία pop up (orderAppointments)*/
.orderAppointments-popup-body-style {
    display: grid;
    grid-template-columns: 90px 170px;
    grid-template-rows: 15px 25px 25px 25px 25px 25px;
    justify-content: center;
    grid-row-gap: 13px;
    align-items: center;
    justify-items: end;
}

.item-h2 {
    grid-row: 4;
    grid-column: 2;
}

.item-i {
    grid-row: 5;
    grid-column: 1;
}

.item-j {
    grid-row: 5;
    grid-column: 2;
    justify-self: start;
}

.item-j2 {
    grid-row: 5;
    grid-column: 2;
    justify-self: start;
    width: 320px;
}

.item-j3 {
    grid-row: 5;
    grid-column: 4;
}

.item-k {
    grid-row: 6;
    grid-column: 1;
}

.item-l {
    grid-row: 6;
    grid-column: 2;
    justify-self: start;
}

.agentIDetails-new-row-style {
    display: grid;
    grid-template-columns: 120px 200px;
    grid-template-rows: 25px 25px 25px;
    justify-content: start;
    align-items: center;
    justify-items: start;
}

/*viewIOD elements*/
.viewDepIOD-body-style {
    display: grid;
    grid-template-columns: 130px 180px 145px 180px 125px 180px 160px;
    grid-template-rows: 30px 50px;
    justify-content: left;
    align-items: center;
    justify-items: start;
}

.routingDistribution-body-style {
    display: grid;
    grid-template-columns: 25px 180px 20px 180px 270px 200px;
    grid-template-rows: 30px 30px;
    justify-content: left;
    align-items: center;
    justify-items: start;
    grid-row-gap: 10px;
}

.routingDistribution-item-e {
    grid-row: 1;
    grid-column: 5;
    display: grid;
    align-content: center;
    align-items: center;
}

.vfIOD-body-style {
    display: grid;
    grid-template-columns: 160px 170px 140px 170px;
    grid-template-rows: 30px 30px 30px 50px 50px;
    justify-content: left;
    align-items: center;
    justify-items: start;
    grid-row-gap: 10px;
}

.VFKpiChart-body-style {
    display: grid;
    grid-template-columns: 90px 110px 40px 110px;
    grid-template-rows: 30px 10px;
    justify-content: left;
    align-items: center;
    justify-items: start;
    grid-row-gap: 15px;
}

.snLog-body-style {
    display: grid;
    grid-template-columns: 230px 380px;
    grid-template-rows: 150px;
    justify-content: left;
    align-items: start;
    justify-items: start;
}

.snLog-item-b {
    grid-row: 1;
    grid-column: 2;
    display: grid;
    align-content: center;
    align-items: center;
}

.agentIDetails-body-style {
    display: grid;
    grid-template-columns: 170px 590px 170px;
    grid-template-rows: 60px 25px 25px;
    align-items: start;
    grid-row-gap: 10px;
}

.workers-combobox {
    width: 310px;
}

.depositors-combobox {
    width: 450px;
}

.workers-grid {
    width: 1062px;
}

.cust-specs-upld {
    width: 720px;
    align-items: center;
    text-align: left;
    margin: 10px 10px 0px 0px;
    padding: 10px 10px 0 10px;
    font-size: 15px;
    border: 1px solid darkgreen;
    border-radius: 5px;
    color: darkgreen;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    margin-top: 5rem;
}

.login-container {
    display: flex;
    background: white;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    width: 800px;
    max-width: 100%;
}

.welcome-section {
    background: linear-gradient(to right, #89372E, #FAAD39);
    padding: 40px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 50%;
}

    .welcome-section h1 {
        font-size: 2.5rem;
        margin: 0;
    }

    .welcome-section p {
        font-size: 1.2rem;
        margin: 20px 0 0;
        text-align: center;
    }

.login-section {
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 50%;
}

    .login-section h2 {
        font-size: 1.8rem;
        margin-bottom: 20px;
    }

.form-group {
    margin-bottom: 15px;
}

.btn {
    background-color: #89372E;
    border: none;
    color: white;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 10px;
}

    .btn:hover {
        background-color: #FAAD39;
        color: black;
    }

/*για να φύγει το default padding από τα κελιά στο Trace.razor και το χρώμα πιάνει όλο το κελί*/
.trace-padding td {
    padding: 0 !important;
}

.MyCustomHeader th {
    border-bottom-width: 0px;
    font-size: .8125rem;
    font-weight: 600;
    background-color: rgb(246, 246, 246);
    border: 1px solid #dee2e6;
    text-align: center;
    vertical-align: middle;
    height: 24px;
}